com.h3c.of.lib.msg

## Enum MessageFutureBag.BagResult

- java.lang.Object
- - java.lang.Enum<MessageFutureBag.BagResult>
  - - com.h3c.of.lib.msg.MessageFutureBag.BagResult

- All Implemented Interfaces:
    Serializable, Comparable<MessageFutureBag.BagResult>
  Enclosing class:
    MessageFutureBag

      public static enum MessageFutureBag.BagResult
      extends Enum<MessageFutureBag.BagResult>

  Denotes the different states that a message future bag can be in.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAILED_WITH_ERRORS` All message futures have been satisfied, but all failed with an `OfmError` reply.
    `FAILED_WITH_EXCEPTIONS` All message futures have been satisfied, but all failed with either an `OfmError` reply or an exception (at least one).
    `SUCCESS` All message futures have been satisfied successfully.
    `SUCCESS_WITH_ERRORS` All message futures have been satisfied; some successfully, but at least one failed with an `OfmError` reply.
    `SUCCESS_WITH_EXCEPTIONS` All message futures have been satisfied; some successfully, but at least one failed with an exception.
    `UNSATISFIED` One or more message futures have still not been satisfied.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageFutureBag.BagResult` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MessageFutureBag.BagResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSATISFIED

          public static final MessageFutureBag.BagResult UNSATISFIED

      One or more message futures have still not been satisfied.

    - #### SUCCESS

          public static final MessageFutureBag.BagResult SUCCESS

      All message futures have been satisfied successfully.

    - #### SUCCESS_WITH_ERRORS

          public static final MessageFutureBag.BagResult SUCCESS_WITH_ERRORS

      All message futures have been satisfied; some successfully, but at least one failed with an `OfmError` reply.

    - #### SUCCESS_WITH_EXCEPTIONS

          public static final MessageFutureBag.BagResult SUCCESS_WITH_EXCEPTIONS

      All message futures have been satisfied; some successfully, but at least one failed with an exception. There may also be futures that failed with an `OfmError` reply.

    - #### FAILED_WITH_ERRORS

          public static final MessageFutureBag.BagResult FAILED_WITH_ERRORS

      All message futures have been satisfied, but all failed with an `OfmError` reply.

    - #### FAILED_WITH_EXCEPTIONS

          public static final MessageFutureBag.BagResult FAILED_WITH_EXCEPTIONS

      All message futures have been satisfied, but all failed with either an `OfmError` reply or an exception (at least one).

  - ### Method Detail

    - #### values

          public static MessageFutureBag.BagResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageFutureBag.BagResult c : MessageFutureBag.BagResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageFutureBag.BagResult valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.